Subject: bug#57163: completing-read not allow cycling of the options by default

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Aug 2022 09:01:06 +0300

> Cc: [email-masked]
> From: Michael Heerdegen <[email-masked]>
> Date: Sat, 13 Aug 2022 06:52:54 +0200
> 
> uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
> 
> > Why is it that things like completing-read not allow cycling of the
> > options by default?
> 
> You mean the completion candidates?  M-<up> and M-<down> do that (by
> default).

As does repeatedly pressing TAB, right?  Or maybe I don't understand
what is meant by "cycling" in this context?  An example of using
completing-read and the lack of cycling would be appreciated.